function x=newton(x0,F,DF,nMax,ATOL,RTOL)

  % Startwert fuer Newton und Wert von F am Startwert
  x = x0;
  Fx_new = F(x);

  % Newton Iterationen
  for ii = 1:nMax
    % Wert von F und DF in alter Iterierte
    Fx = Fx_new;
    DFx = DF(x);

    % Newton update
    delta_x = - DFx\Fx;

    % Neue Iterierte
    x = x + delta_x;

    % Wert von F in neuer Iterierte
    Fx_new = F(x);

    % Wenn update zu klein -> stop and exit
    if norm(DFx\Fx_new) < ATOL + RTOL*norm(x)
      break
    end
  end
end
